<Node>
    <NodeName>.</NodeName>
    <!--Description>Root Node</Description-->
    <RTProperties>
        <ACL>Add=*&amp;Get=*&amp;Replace=*&amp;Delete=*</ACL>
    </RTProperties>
    <DFProperties>
        <AccessType>
            <Add/>
            <Delete/>
            <Get/>
            <Replace/>
        </AccessType>
        <DFFormat>
            <node/>
        </DFFormat>
        <Scope>
            <Permanent/>
        </Scope>
    </DFProperties>
    <Node>
        <NodeName>DevInfo</NodeName>
        <!--The '.' shows that this node is located immediately under the root.-->
        <!--Path>.</Path-->
        <RTProperties>
            <ACL>Get=*&amp;Replace=*</ACL>
        </RTProperties>
        <DFProperties>
            <AccessType>
                <Get/>
            </AccessType>
            <DFFormat>
                <node/>
            </DFFormat>
            <Scope>
                <Permanent/>
            </Scope>
        </DFProperties>
        <Node>
            <NodeName>DevId</NodeName>
            <DFProperties>
                <AccessType>
                    <Get/>
                </AccessType>
                <!--Here the manufacturer must fill in the device ID (serial number) of the device.-->
                <DefaultValue/>
                <Description>A unique device identifier.</Description>
                <DFFormat>
                    <chr/>
                </DFFormat>
                <Scope>
                    <Permanent/>
                </Scope>
                <DFTitle>The unique device identifier.</DFTitle>
                <DFType>
                    <MIME>text/plain</MIME>
                </DFType>
            </DFProperties>
        </Node>
        <Node>
            <NodeName>Man</NodeName>
            <DFProperties>
                <AccessType>
                    <Get/>
                </AccessType>
                <DFFormat>
                    <chr/>
                </DFFormat>
                <Scope>
                    <Permanent/>
                </Scope>
            </DFProperties>
        </Node>
        <Node>
            <NodeName>Mod</NodeName>
            <DFProperties>
                <AccessType>
                    <Get/>
                </AccessType>
                <!--Here the manufacturer must fill in the model name of the device.-->
                <DefaultValue/>
                <Description>The name of the device model</Description>
                <DFFormat>
                    <chr/>
                </DFFormat>
                <Scope>
                    <Permanent/>
                </Scope>
                <DFTitle>Model name</DFTitle>
                <DFType>
                    <MIME>text/plain</MIME>
                </DFType>
            </DFProperties>
        </Node>
        <Node>
            <NodeName>DmV</NodeName>
            <DFProperties>
                <AccessType>
                    <Get/>
                </AccessType>
                <!--Here the manufacturer must fill in the management client revision of the device.-->
                <DefaultValue/>
                <Description>The management client revision of the device.</Description>
                <DFFormat>
                    <chr/>
                </DFFormat>
                <Scope>
                    <Permanent/>
                </Scope>
                <DFTitle>The current management client revision of the device.</DFTitle>
                <DFType>
                    <MIME>text/plain</MIME>
                </DFType>
            </DFProperties>
        </Node>
        <Node>
            <NodeName>Lang</NodeName>
            <DFProperties>
                <AccessType>
                    <Get/>
                    <Replace/>
                </AccessType>
                <DefaultValue/>
                <Description>The current language setting of the device.</Description>
                <DFFormat>
                    <chr/>
                </DFFormat>
                <Scope>
                    <Permanent/>
                </Scope>
                <DFTitle>Current language.</DFTitle>
                <DFType>
                    <MIME>text/plain</MIME>
                </DFType>
            </DFProperties>
        </Node>
    </Node>
    <!-- End of DevInfo-->
    <Node>
        <NodeName>DevDetail</NodeName>
        <!--The '.' shows that this node is located immediately under the root.-->
        <RTProperties>
            <ACL>Get=*</ACL>
        </RTProperties>
        <DFProperties>
            <AccessType>
                <Get/>
            </AccessType>
            <DFFormat>
                <node/>
            </DFFormat>
            <Scope>
                <Permanent/>
            </Scope>
            <DFTitle>The interior node holding all devinfo nodes</DFTitle>
            <DFType>
                <DDFName></DDFName>
            </DFType>
        </DFProperties>
        <Node>
            <NodeName>URI</NodeName>
            <DFProperties>
                <AccessType>
                    <Get/>
                </AccessType>
                <DFFormat>
                    <node/>
                </DFFormat>
                <Scope>
                    <Permanent/>
                </Scope>
                <DFTitle>The tree limitations branch.</DFTitle>
                <DFType>
                    <DDFName></DDFName>
                </DFType>
            </DFProperties>
            <Node>
                <NodeName>MaxDepth</NodeName>
                <DFProperties>
                    <AccessType>
                        <Get/>
                    </AccessType>
                    <Description>Maximum tree depth supported by the device.</Description>
                    <DFFormat>
                        <chr/>
                    </DFFormat>
                    <Scope>
                        <Permanent/>
                    </Scope>
                    <DFTitle>Maximum tree depth</DFTitle>
                    <DFType>
                        <MIME>text/plain</MIME>
                    </DFType>
                </DFProperties>
		<Value>7</Value>
            </Node>
            <Node>
                <NodeName>MaxTotLen</NodeName>
                <DFProperties>
                    <AccessType>
                        <Get/>
                    </AccessType>
                    <Description>Maximum total URI length supported by the device.</Description>
                    <DFFormat>
                        <chr/>
                    </DFFormat>
                    <Scope>
                        <Permanent/>
                    </Scope>
                    <DFTitle>Maximum URI length</DFTitle>
                    <DFType>
                        <MIME>text/plain</MIME>
                    </DFType>
                </DFProperties>
		<Value>128</Value>
            </Node>
            <Node>
                <NodeName>MaxSegLen</NodeName>
                <DFProperties>
                    <AccessType>
                        <Get/>
                    </AccessType>
                    <Description>Maximum URI segment length supported by the device.</Description>
                    <DFFormat>
                        <chr/>
                    </DFFormat>
                    <Scope>
                        <Permanent/>
                    </Scope>
                    <DFTitle>Maximum URI segment length</DFTitle>
                    <DFType>
                        <MIME>text/plain</MIME>
                    </DFType>
                </DFProperties>
		<Value>32</Value>
            </Node>
        </Node>
        <Node>
            <NodeName>DevTyp</NodeName>
            <DFProperties>
                <AccessType>
                    <Get/>
                </AccessType>
                <!--Here the manufacturer must fill in the type of the device.-->
                <DefaultValue>phone</DefaultValue>
                <Description>The type of the device.</Description>
                <DFFormat>
                    <chr/>
                </DFFormat>
                <Scope>
                    <Permanent/>
                </Scope>
                <DFTitle>The device type.</DFTitle>
                <DFType>
                    <MIME>text/plain</MIME>
                </DFType>
            </DFProperties>
        </Node>
        <Node>
            <NodeName>OEM</NodeName>
            <DFProperties>
                <AccessType>
                    <Get/>
                </AccessType>
                <Description>Name of OEM</Description>
                <DFFormat>
                    <chr/>
                </DFFormat>
                <Scope>
                    <Permanent/>
                </Scope>
                <DFTitle>The OEM for the device.</DFTitle>
                <DFType>
                    <MIME>text/plain</MIME>
                </DFType>
            </DFProperties>
        </Node>
        <Node>
            <NodeName>FwV</NodeName>
            <DFProperties>
                <AccessType>
                    <Get/>
                </AccessType>
                <!--Here the manufacturer must fill in the firmware revision of the device.-->
                <Description>The firmware revision of the device.</Description>
                <DFFormat>
                    <chr/>
                </DFFormat>
                <Scope>
                    <Permanent/>
                </Scope>
                <DFTitle>The current firmware revision of the device.</DFTitle>
                <DFType>
                    <MIME>text/plain</MIME>
                </DFType>
            </DFProperties>
        </Node>
        <Node>
            <NodeName>SwV</NodeName>
            <DFProperties>
                <AccessType>
                    <Get/>
                </AccessType>
                <!--Here the manufacturer must fill in the software revision of the device.-->
                <Description>The software revision of the device.</Description>
                <DFFormat>
                    <chr/>
                </DFFormat>
                <Scope>
                    <Permanent/>
                </Scope>
                <DFTitle>The current software revision of the device.</DFTitle>
                <DFType>
                    <MIME>text/plain</MIME>
                </DFType>
            </DFProperties>
        </Node>
        <Node>
            <NodeName>HwV</NodeName>
            <DFProperties>
                <AccessType>
                    <Get/>
                </AccessType>
                <!--Here the manufacturer must fill in the hardware revision of the device.-->
                <DefaultValue/>
                <Description>The hardware revision of the device.</Description>
                <DFFormat>
                    <chr/>
                </DFFormat>
                <Scope>
                    <Permanent/>
                </Scope>
                <DFTitle>The current hardware revision of the device.</DFTitle>
                <DFType>
                    <MIME>text/plain</MIME>
                </DFType>
            </DFProperties>
        </Node>
        <Node>
            <NodeName>LrgObj</NodeName>
            <DFProperties>
                <AccessType>
                    <Get/>
                </AccessType>
                <!--Here the manufacturer must fill in whether the device supports large object handling Typically, this
is a property of the SyncML management agent.-->
                <DefaultValue/>
                <Description>Large object handling supported if value is true.</Description>
                <DFFormat>
                    <bool/>
                </DFFormat>
                <Scope>
                    <Permanent/>
                </Scope>
                <DFTitle>Large object handling flag.</DFTitle>
                <DFType>
                    <MIME>text/plain</MIME>
                </DFType>
            </DFProperties>
        </Node>
    </Node>
    <!-- End of DevDetail-->
    <Node>
        <NodeName>SyncML</NodeName>
        <RTProperties>
            <ACL>Add=*&amp;Get=*&amp;Replace=*&amp;Delete=*</ACL>
            <Format>node</Format>
            <Name>SyncML</Name>
        </RTProperties>
        <DFProperties>
            <AccessType>
                <Add/>
                <Delete/>
                <Get/>
                <Replace/>
            </AccessType>
            <Description>SyncML settings</Description>
            <DFFormat>
                <node/>
            </DFFormat>
        </DFProperties>
        <Node>
            <NodeName>DMAcc</NodeName>
            <RTProperties>
                <ACL>Add=*&amp;Get=*&amp;Replace=*&amp;Delete=*</ACL>
                <Format>node</Format>
                <Name>DMAcc</Name>
            </RTProperties>
            <DFProperties>
                <AccessType>
                    <Add/>
                    <Delete/>
                    <Get/>
                    <Replace/>
                </AccessType>
                <DFFormat>
                    <node/>
                </DFFormat>
            </DFProperties>
            <Node>
                <NodeName>GUID</NodeName>
                <RTProperties>
                    <ACL>Add=*&amp;Get=*&amp;Replace=*&amp;Delete=*</ACL>
                    <Format>node</Format>
                    <Name>GUID</Name>
                </RTProperties>
                <DFProperties>
                    <AccessType>
                        <Add/>
                        <Delete/>
                        <Get/>
                        <Replace/>
                    </AccessType>
                    <DFFormat>
                        <node/>
                    </DFFormat>
                </DFProperties>
                <Node>
                    <NodeName>Addr</NodeName>
                    <DFProperties>
                        <AccessType>
                            <Get/>
                            <Replace/>
                        </AccessType>
                        <DFFormat>
                            <chr/>
                        </DFFormat>
                    </DFProperties>
                    <Value>http://mdm.mycingular.net:8080/opm/ht/omadm/dm</Value>
                </Node>
                <Node>
                    <NodeName>AddrType</NodeName>
                    <DFProperties>
                        <AccessType>
                            <Get/>
                            <Replace/>
                        </AccessType>
                        <DFFormat>
                            <chr/>
                        </DFFormat>
                    </DFProperties>
                    <Value>1</Value><!-- 1:HTTP, 2:WSP, 3:OBEX -->
                </Node>
                <Node>
                    <NodeName>PortNbr</NodeName>
                    <DFProperties>
                        <AccessType>
                            <Get/>
                            <Replace/>
                        </AccessType>
                        <DFFormat>
                            <chr/>
                        </DFFormat>
                    </DFProperties>
                    <Value>8080</Value>
                </Node>
                <Node>
                    <NodeName>ConRef</NodeName>
                    <DFProperties>
                        <AccessType>
                            <Get/>
                            <Replace/>
                        </AccessType>
                        <DFFormat>
                            <chr/>
                        </DFFormat>
                    </DFProperties>
                    <Value>1</Value><!-- PS record ID in the PS DB -->
                </Node>
                <Node>
                    <NodeName>ServerId</NodeName>
                    <DFProperties>
                        <AccessType>
                            <Get/>
                        </AccessType>
                        <DFFormat>
                            <chr/>
                        </DFFormat>
                    </DFProperties>
                    <Value>Cingular</Value>
                </Node>
                <Node>
                    <NodeName>ServerPW</NodeName>
                    <DFProperties>
                        <AccessType>
                            <Replace/>
                        </AccessType>
                        <DFFormat>
                            <chr/>
                        </DFFormat>
                    </DFProperties>
                </Node>
                <Node>
                    <NodeName>ServerNonce</NodeName>
                    <DFProperties>
                        <AccessType>
                            <Replace/>
                        </AccessType>
                        <DFFormat>
                            <chr/><!-- can be bin or base64 as well-->
                        </DFFormat>
                    </DFProperties>
                    <Value>null</Value>
                </Node>
                <Node>
                    <NodeName>UserName</NodeName>
                    <DFProperties>
                        <AccessType>
                            <Get/>
                            <Replace/>
                        </AccessType>
                        <DFFormat>
                            <chr/>
                        </DFFormat>
                    </DFProperties>
                </Node>
                <Node>
                    <NodeName>ClientPW</NodeName>
                    <DFProperties>
                        <AccessType>
                            <Replace/>
                        </AccessType>
                        <DFFormat>
                            <chr/>
                        </DFFormat>
                    </DFProperties>
                </Node>
                <Node>
                    <NodeName>ClientNonce</NodeName>
                    <DFProperties>
                        <AccessType>
                            <Replace/>
                        </AccessType>
                        <DFFormat>
                            <chr/><!-- can be bin or base64 as well-->
                        </DFFormat>
                    </DFProperties>
                    <Value>null</Value>
                </Node>
                <Node>
                    <NodeName>AuthPref</NodeName>
                    <DFProperties>
                        <AccessType>
                            <Replace/>
                        </AccessType>
                        <DFFormat>
                            <chr/>
                        </DFFormat>
                    </DFProperties>
                    <Value>syncml:auth-basic</Value><!--Values: syncml:auth-basic,syncml:auth-md5,syncml:auth-MAC -->
                </Node>
                <Node>
                    <NodeName>Name</NodeName>
                    <DFProperties>
                        <AccessType>
                            <Get/>
                            <Replace/>
                        </AccessType>
                        <DFFormat>
                            <chr/>
                        </DFFormat>
                    </DFProperties>
                    <Value>Openwave.com</Value>
                </Node>
            </Node>
            <!--End DMAcc GUID-->
        </Node>
        <!--End DMAcc -->
        <Node>
            <NodeName>Con</NodeName>
            <RTProperties>
                <ACL>Add=*&amp;Get=*&amp;Replace=*&amp;Delete=*</ACL>
                <Format>node</Format>
                <Name>Con</Name>
            </RTProperties>
            <DFProperties>
                <AccessType>
                    <Add/>
                    <Get/>
                    <Delete/>
                    <Replace/>
                </AccessType>
                <DFFormat>
                    <node/>
                </DFFormat>
            </DFProperties>
        </Node>
        <!--End Con-->
    </Node>
    <!--End SyncML-->
    <Node>
        <NodeName>FUMO</NodeName>
        <RTProperties>
            <ACL>Add=*&amp;Get=*&amp;Replace=*&amp;Delete=*&amp;Exec=*</ACL>
            <Format>node</Format>
            <Name>FUMO</Name>
        </RTProperties>
        <DFProperties>
            <AccessType>
                <Add/>
                <Get/>
                <Delete/>
                <Replace/>
            </AccessType>
            <DFFormat>
                <node/>
            </DFFormat>
        </DFProperties>
        <Node>
            <NodeName>GUID</NodeName>
            <DFProperties>
                <AccessType>
                    <Get/>
                    <Add/>
                </AccessType>
                <DFFormat>
                    <node/>
                </DFFormat>
                <DFTitle>A firmware update package</DFTitle>
                <DFType>
                    <DDFName/>
                </DFType>
            </DFProperties>
            <Node>
                <NodeName>PkgName</NodeName>
                <DFProperties>
                    <AccessType>
                        <Get/>
                        <Replace/>
                        <Delete/>
                    </AccessType>
                    <DFFormat>
                        <chr/>
                    </DFFormat>
                    <Occurrence>
                        <One/>
                    </Occurrence>
                    <DFTitle>Name of Update Package</DFTitle>
                    <DFType>
                        <MIME>text/plain</MIME>
                    </DFType>
                </DFProperties>
            </Node>
            <Node>
                <NodeName>PkgVersion</NodeName>
                <DFProperties>
                    <AccessType>
                        <Get/>
                        <Replace/>
                        <Delete/>
                    </AccessType>
                    <DFFormat>
                        <chr/>
                    </DFFormat>
                    <Occurrence>
                        <One/>
                    </Occurrence>
                    <DFTitle>Version information for the firmware update package</DFTitle>
                    <DFType>
                        <MIME>text/plain</MIME>
                    </DFType>
                </DFProperties>
            </Node>
            <Node>
                <NodeName>Download</NodeName>
                <DFProperties>
                    <AccessType>
                        <Add/>
                        <Get/>
                        <Exec/>
                    </AccessType>
                    <Description>This node is used for downloading an update package</Description>
                    <DFFormat>
                        <node/>
                    </DFFormat>
                    <Occurrence>
                        <ZeroOrOne/>
                    </Occurrence>
                    <DFTitle>firmware update package to    download</DFTitle>
                    <DFType>
                        <DDFName/>
                    </DFType>
                </DFProperties>
                <Node>
                    <NodeName>PkgURL</NodeName>
                    <DFProperties>
                        <AccessType>
                            <Get/>
                            <Replace/>
                        </AccessType>
                        <DFFormat>
                            <chr/>
                        </DFFormat>
                        <Occurrence>
                            <One/>
                        </Occurrence>
                        <DFTitle>URL for downloading an    update package</DFTitle>
                        <DFType>
                            <MIME>text/plain</MIME>
                        </DFType>
                    </DFProperties>
                </Node>
            </Node>
            <Node>
                <NodeName>Update</NodeName>
                <DFProperties>
                    <AccessType>
                        <Add/>
                        <Get/>
                        <Exec/>
                    </AccessType>
                    <Description>This node is used for Updating    the    device using an    update package</Description>
                    <DFFormat>
                        <node/>
                    </DFFormat>
                    <Occurrence>
                        <ZeroOrOne/>
                    </Occurrence>
                    <DFTitle>firmware update package for update</DFTitle>
                    <DFType>
                        <DDFName/>
                    </DFType>
                </DFProperties>
                <Node>
                    <NodeName>PkgData</NodeName>
                    <DFProperties>
                        <AccessType>
                            <Replace/>
                            <Delete/>
                        </AccessType>
                        <DFFormat>
                            <chr/>
                        </DFFormat>
                        <Occurrence>
                            <One/>
                        </Occurrence>
                        <DFTitle>URL for downloading an    update package</DFTitle>
                        <DFType>
                            <MIME>text/plain</MIME>
                        </DFType>
                    </DFProperties>
                </Node>
            </Node>
            <Node>
                <NodeName>DownloadAndUpdate</NodeName>
                <DFProperties>
                    <AccessType>
                        <Add/>
                        <Get/>
                        <Exec/>
                    </AccessType>
                    <Description>This node is used for downloading and updating    a package</Description>
                    <DFFormat>
                        <node/>
                    </DFFormat>
                    <Occurrence>
                        <ZeroOrOne/>
                    </Occurrence>
                    <DFTitle>firmware update package to    download and update</DFTitle>
                    <DFType>
                        <DDFName/>
                    </DFType>
                </DFProperties>
                <Node>
                    <NodeName>PkgURL</NodeName>
                    <DFProperties>
                        <AccessType>
                            <Get/>
                            <Replace/>
                            <Exec/>
                        </AccessType>
                        <DFFormat>
                            <chr/>
                        </DFFormat>
                        <Occurrence>
                            <One/>
                        </Occurrence>
                        <DFTitle>URL for downloading an    update package</DFTitle>
                        <DFType>
                            <MIME>text/plain</MIME>
                        </DFType>
                    </DFProperties>
                </Node>
            </Node>
            <Node>
                <NodeName>State</NodeName>
                <DFProperties>
                    <AccessType>
                        <Get/>
                    </AccessType>
                    <DFFormat>
                        <int/>
                    </DFFormat>
                    <Occurrence>
                        <One/>
                    </Occurrence>
                    <DFTitle>State set by Client can be    retrieved by Server</DFTitle>
                    <DFType>
                        <MIME>text/plain</MIME>
                    </DFType>
                </DFProperties>
            </Node>
            <Node>
                <NodeName>Ext</NodeName><!--This node is used for Vendor specific extension    -->
                <DFProperties>
                    <AccessType>
                        <Get/>
                    </AccessType>
                    <DFFormat>
                        <node/>
                    </DFFormat>
                    <Occurrence>
                        <ZeroOrOne/>
                    </Occurrence>
                    <DFTitle>A node    that can be    used to    provide    vendor-specific    extensions</DFTitle>
                    <DFType>
                        <DDFName/>
                    </DFType>
                </DFProperties>
            </Node>
        </Node>
        <!--End FUMO GUID -->
    </Node>
    <!--End of FUMO-->
</Node><!--End Root-->
